| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
PoolDbTokenWrap Class Reference

Description: More...

`#include <RootCnv/PoolClasses.h>`

Collaboration diagram for PoolDbTokenWrap:
[legend]

## Public Member Functions
| PoolDbTokenWrap ()=default
| Standard constructor. More...
| PoolDbTokenWrap (const PoolDbTokenWrap &wrp)
| Copy constructor. More...
virtual | ~PoolDbTokenWrap ()=default
| Standard destructor. More...
bool | operator== (const PoolDbTokenWrap &c) const
| Equality operator. More...
PoolDbTokenWrap & | operator= (const PoolDbTokenWrap &wrp)
| Assignment operator. More...

## Public Attributes
pool::Token | token
| Aggregated token object. More...

## Detailed Description

Description:

Author
  M.Frank

Version
  1.0

Definition at line 71 of file PoolClasses.h.

## Constructor & Destructor Documentation

PoolDbTokenWrap::PoolDbTokenWrap | ( |  | ) |
| default

Standard constructor.

PoolDbTokenWrap::PoolDbTokenWrap | ( | const PoolDbTokenWrap & | wrp | ) |
| inline

Copy constructor.

Definition at line 79 of file PoolClasses.h.

79 { token = wrp.token; }
PoolDbTokenWrap::token
pool::Token token
Aggregated token object.
Definition: PoolClasses.h:75

virtual PoolDbTokenWrap::~PoolDbTokenWrap | ( |  | ) |
| virtual default

Standard destructor.

## Member Function Documentation

PoolDbTokenWrap& PoolDbTokenWrap::operator= | ( | const PoolDbTokenWrap & | wrp | ) |
| inline

Assignment operator.

Definition at line 85 of file PoolClasses.h.

86 {
87 if ( this != &wrp ) token = wrp.token;
88 return *this;
89 }
PoolDbTokenWrap::token
pool::Token token
Aggregated token object.
Definition: PoolClasses.h:75

bool PoolDbTokenWrap::operator== | ( | const PoolDbTokenWrap & | c | ) | const
| inline

Equality operator.

Definition at line 83 of file PoolClasses.h.

83 { return token == c.token; }
PoolDbTokenWrap::token
pool::Token token
Aggregated token object.
Definition: PoolClasses.h:75

## Member Data Documentation

pool::Token PoolDbTokenWrap::token

Aggregated token object.

Definition at line 75 of file PoolClasses.h.

The documentation for this class was generated from the following file:

- RootCnv/RootCnv/PoolClasses.h